/* ============================================== */
/* BASE */
/* ============================================== */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

html,
body {
    overflow-x: hidden;
}

html {
    background-color: var(--bg-color-primary);
    font-family: 'Montserrat', sans-serif;
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
}

body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: calc(100dvh - (7dvh + 1px));
    margin-bottom: calc(7dvh + 1px);
}

main {
    padding-top: calc(7dvh + 1px);
}

h1 {
    font-size: 3em;
    color: var(--text-color-primary);
}

h2 {
    font-size: 1.5em;
}

h2 span {
    font-size: clamp(16px, 1vw, 24px);
}

h3 {
    font-size: 1.2em;
}

p {
    font-size: 1em;
    color: #8a8a8a;
}

a {
    text-decoration: none;
}

a i,
a span {
    color: var(--text-color-primary);
}

/* ============================================== */
/* MEDIA QUERIES */
/* ============================================== */

@media (max-width: 768px) {
    .hide-mobile {
        display: none !important;
    }
}

@media (min-width: 769px) {
    .hide-desktop {
        display: none !important;
    }
}

/* ============================================== */
/* HR */
/* ============================================== */

.flex-hr {
    width: 100%;
    height: 1px;
    border: none;
}

.flex-hr-text-primary {
    background-color: var(--text-color-primary);
}

.flex-hr-text-secondary {
    background-color: var(--text-color-secondary);
}

.flex-hr-primary {
    background-color: var(--default-color-primary);
}

.flex-hr-secondary {
    background-color: var(--default-color-secondary);
}

/* ============================================== */
/* FLEX */
/* ============================================== */

.flex-main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.row {
    display: flex;
    flex-direction: row;
}

.column {
    display: flex;
    flex-direction: column;
}

.flex-grid-responsive-2-4 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(clamp(100px, 3vw, 280px), 1fr));
  gap: 1.5rem; 
  width: 100%;
  margin: 0 auto;
  padding: 1rem;
  box-sizing: border-box;
}

.flex-grid-2 {
    display: grid;
    grid-template-columns: repeat(
        auto-fit,
        minmax(300px, 1fr)
    );
    gap: 2em;
}

.flex-grid-phone-2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

@media (max-width: 768px) {
    .flex-grid-phone-2 {
        padding: 1em 0;
        display: grid;
        grid-template-columns: auto;
        align-items: center;
        gap: 0.5em;
    }
}

.grid-2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
    gap: 2em;
}

.grid-3 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    width: 100%;
    gap: 0.5em;
}

.flex-center {
    justify-content: center;
    align-items: center;
}

.flex-left {
    justify-content: flex-start;
    align-items: center;
}

/* ============================================== */
/* Z INDEX */
/* ============================================== */

.z-index-5 {
    z-index: 5;
}

/* ============================================== */
/* JUSTIFY CONTENT */
/* ============================================== */

.flex-justify-content-sb {
    justify-content: space-between;
}

/* ============================================== */
/* LIMITADORES */
/* ============================================== */

.limit-width {
    width: 90%;
    max-width: 1200px;
}

.limit-width-vw {
    max-width: min(100vw, 1200px);
}

/* ============================================== */
/* DIMENSÕES */
/* ============================================== */

.width-100 {
    width: 100%;
}

.width-90 {
    width: 90%;
}

.width-50 {
    width: 50%;
}

.width-30 {
    width: 30%;
}

/* ============================================== */
/* ESPAÇADORES */
/* ============================================== */

.flex-gap-0--25 {
    gap: 0.25em;
}

.flex-gap-0--5 {
    gap: 0.5em;
}

.flex-gap-1 {
    gap: 1em;
}

.flex-gap-1--5 {
    gap: 1.5em;
}

.flex-gap-2 {
    gap: 2em;
}

.flex-gap-3 {
    gap: 3em;
}

/* ============================================== */
/* INPUTS */
/* ============================================== */

input[type="email"],
input[type="password"],
input[type="number"],
input[type="text"],
input[type="tel"],
input[type="date"],
input[type="time"] {
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
    border: solid 1px var(--text-color-primary);
    border-radius: 0.5em;
    height: 2.5em;
    padding: 0.5em 1em;
}

input[type="checkbox"] {
    background-color: #000000;
    background: #000000;
    color: #0188E0;
    border: solid 1px var(--text-color-primary);
    border-radius: 0.25em;
}

/* ============================================== */
/* SELECTS */
/* ============================================== */

select {
  width: 100%;
  padding: 0.8em 1em;
  font-size: 1em;
  border-radius: 0.5em;
  border: 1px solid var(--bg-color-quaternary);
  background-color: var(--bg-color-secondary);
  color: var(--text-color-primary);
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  text-align: center;
}

select option {
  background-color: var(--bg-color-primary);
  color: var(--text-color-primary);
}

/* ============================================== */
/* BOTÕES */
/* ============================================== */

.confirm-button {
    background-color: var(--default-color-primary);
    box-shadow: 0 4px 20px rgba(1, 136, 224, 0.25);
}

.decline-button {
    background-color: var(--default-color-secondary);
    box-shadow: 0 4px 20px rgba(224, 1, 194, 0.25);
}

.confirm-button,
.decline-button {
    border: none;
    padding: 1em;
    font-size: 1em;
    color: var(--text-color-primary);
    font-weight: 700;
    border-radius: 0.5em;
    text-align: center;
}

.button-width-100 {
    width: calc(100% - 2em);
}

.button-width-90 {
    width: calc(90% - 2em);
}

/* ============================================== */
/* PÁGINA INDEX */
/* ============================================== */

.flex-section {
    position: relative;
    align-items: center;
    width: 100%;
    padding: 2em 0;
    background-color: var(--bg-color-primary);
}

.index-search-row {
    width: 90%;
    justify-content: space-between;
    max-height: 70dvh;
}

.index-search-container {
    position: relative;

    width: 50%;
    aspect-ratio: 9/16;

    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.index-search-container::after {
    content: "";

    position: absolute;
    left: 0;
    right: 0;
    bottom: -5px;

    width: 100%;
    height: 45%;

    pointer-events: none;
    z-index: 4;

    background: linear-gradient(
        to top,
        rgba(0, 0, 0, 0.95) 0%,
        rgba(0, 0, 0, 0.7) 35%,
        rgba(0, 0, 0, 0.3) 70%,
        rgba(0, 0, 0, 0) 100%
    );
}

.model-hero-wrapper {
    position: absolute;
    aspect-ratio: 9/16;
    height: 100%;
    left: 50%;
    bottom: 0;
    transform: translateX(-45%);
}

.model-hero-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center bottom;
    filter: grayscale(100%);
    
    position: relative;
    z-index: 3;
}

.model-hero-wrapper::before,
.model-hero-wrapper::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;

    -webkit-mask-image: url("../src/model_nobg.webp");
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    -webkit-mask-position: center bottom;

    mask-image: url("../src/model_nobg.webp");
    mask-repeat: no-repeat;
    mask-size: contain;
    mask-position: center bottom;
}

.model-hero-wrapper::before {
    z-index: 2;
    background-color: var(--default-color-primary);
    transform: translateX(1em); /* Desloca para a direita */
}

.model-hero-wrapper::after {
    z-index: 1;
    background-color: var(--default-color-secondary);
    transform: translateX(2em); /* Desloca mais para a direita */
}

.static-text {
    font-size: clamp(1.5em, 5vw, 52px);
    color: var(--text-color-primary);
    font-weight: 500;
    width: 130%;
}

.index-seo-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 90%;
    gap: 1em;
}

.index-seo-column img {
    width: 100%;
    height: 100%;
    max-width: 540px;
    aspect-ratio: 1/1;
}

/* ============================================== */
/* AGE VERIFICATION */
/* ============================================== */

#ageVerificationOverlay {
    position: fixed;

    top: 0;
    left: 0;

    width: 100vw;
    height: 100dvh;

    background: rgba(0, 0, 0, 0.75);
    backdrop-filter: blur(8px);

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 999999;

    overflow-y: hidden;
    padding: 2em;
    box-sizing: border-box;
}

.age-modal {
    width: 90%;
    max-width: 420px;

    background: var(--bg-color-secondary);

    border: 1px solid rgba(255,255,255,0.08);

    border-radius: 1.5em;

    padding: 2em;

    display: flex;
    flex-direction: column;
    gap: 1.25em;

    text-align: center;

    box-shadow:
        0 0 30px rgba(0,0,0,0.4);

        margin: auto;
}

.age-badge {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5em;

    color: var(--default-color-primary);

    font-weight: 600;
}

.age-badge i {
    font-size: 1.1em;
}

.age-modal h2 {
    font-size: 2em;
    line-height: 1.1;
}

.age-modal p {
    line-height: 1.6;
}

.age-buttons {
    display: flex;
    flex-direction: column;
    gap: 1em;
    margin-top: 0.5em;
}

.age-buttons button {
    width: 100%;
    padding: 1em;

    cursor: pointer;
}

/* ============================================== */
/* LOCK SCROLL */
/* ============================================== */

html.age-lock,
body.age-lock {
    overflow: hidden !important;
    height: 100dvh !important;
    max-height: 100dvh !important;
    touch-action: none !important;
    overscroll-behavior: none !important;
}

body.age-lock {
    margin-bottom: 0 !important;
}

/* ============================================== */
/* PÁGINA DE VERIFICAÇÃO */
/* ============================================== */

.verify-section{
    background-color:var(--bg-color-secondary);

    width:min(90vw,700px);

    padding:2em;

    display:flex;
    flex-direction:column;
    align-items:center;

    gap:1.5em;

    border-radius:1em;
}

.verify-section select {
    width: 6em;
}

.model-verify-p {
    width: 40vw;
}

.verify-section-column {
    display: flex;
    flex-direction: column;
    gap: 1em;
    width: 100%;
    align-items: center;
} 

.verify-info{
    width:90%;
    max-width:600px;

    font-size:0.7em;
    line-height:1.6;

    color:#aaa;

    padding:1em;

    border:1px solid #333;
    border-radius:0.8em;

    background:rgba(255,255,255,.03);
}

.verify-video-info{
    list-style: none;
    background: var(--bg-color-secondary);
    display: flex;
    flex-direction: column;
    gap: 0.5em;
}

.verify-video-info li{
    position: relative;
    font-size: .95rem;
    line-height: 1.5;
    color: var(--text-color-secondary);
    padding-left: 20px;
}

.verify-video-info li::before{
    content: "✓";
    position: absolute;
    left: 0;
    top: 0;
    font-weight: bold;
    color: var(--default-color-secondary);
}

.verify-video-info li:last-child{
    border-top: 1px solid rgba(
        0,
        0,
        0,
        .08
    );
    font-weight: 600;
}

.upload-box-image,
.upload-box-video{
    position:relative;
    overflow:hidden;
    border-radius:1em;
    cursor:pointer;
}

.upload-placeholder{
    position:absolute;
    inset:0;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    gap:1em;

    z-index:2;

    color:#aaa;

    transition:0.3s;
}

.upload-placeholder i{
    font-size:4em;
}

.upload-placeholder span{
    font-size:1em;
}

.upload-box-image{
    position: relative;

    width: 100%;
    max-width: 420px;

    min-height: 220px;
    aspect-ratio: 16/9;
}

#container-back{
    width:100%;

    display:flex;
    flex-direction:column;
    align-items:center;

    gap: 1.5em;
}

.upload-box-video{
    position: relative;

    width: 100%;
    max-width: 220px;

    min-height: 420px;
    aspect-ratio: 9/16;
}

.upload-box-image,
.upload-box-video{
    position: relative;

    overflow: hidden;

    border: 2px dashed #444;
    border-radius: 1em;

    background: var(--bg-color-primary);

    cursor: pointer;

    display: flex;
    justify-content: center;
    align-items: center;
}

.upload-placeholder{
    position:absolute;
    inset:0;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    gap:1em;

    color:#888;

    transition:.3s;
}

.upload-placeholder i{
    font-size:4em;
}

.upload-placeholder span{
    font-size:1em;
}

.upload-box-image img,
.upload-box-video video{
    width:100%;
    height:100%;

    object-fit:cover;

    display:none;
}

.upload-box-image:hover,
.upload-box-video:hover{
    border-color:var(--default-color-primary);
}

/* ============================================== */
/* PÁGINA DE MODELOS */
/* ============================================== */

.acompanhantes-filters-wrapper{
    position: relative;
    height: 6dvh;
    width: 100%;
    max-width: 700px;
    overflow:hidden;
    border-bottom:1px solid var(--text-color-secondary);
}

.acompanhantes-filters-wrapper::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1em;
    pointer-events: none;
    z-index: 7;
    background: linear-gradient(
        to bottom,
        rgba(0,0,0,0.6),
        rgba(0,0,0,0)
    );
}

.acompanhantes-category-filters{
    display: flex;
    height: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    scrollbar-width: none;
    -ms-overflow-style: none;
    scroll-behavior: smooth;
    overscroll-behavior-x: contain;
}

.acompanhantes-category-filters::-webkit-scrollbar{
    display: none;
}
.filter-item {
    height: 100%;
    flex-shrink: 0;
    background: var(--bg-color-secondary);
    color: var(--text-color-secondary);
    cursor: pointer;
    font-size: 0.95em;
    transition: 0.25s;
    border: none;
    padding: 0.25em 1.5em 0em 1.5em;
    align-items: center;
    display: flex;
}

.filter-item:hover {
    background: var(--bg-color-tertiary);
    color: var(--text-color-primary);
}

.filter-item.active {
    background: var(--default-color-primary);
    color: var(--text-color-primary);
    font-weight: 600;
    box-shadow: 0 0 15px rgba(1,136,224,.35);
}

.filters-shadow-left,
.filters-shadow-right{
    position: absolute;
    width: 50px;
    top: 0;
    bottom: 0;
    z-index: 5;
    pointer-events: none;
}

.filters-shadow-left{
    left: 0;
    background: linear-gradient(
        to right,
        var(--bg-color-primary),
        transparent
    );
}

.filters-shadow-right{
    right: 0;
    background: linear-gradient(
        to left,
        var(--bg-color-primary),
        transparent
    );
}

.filter-item.active {
    position: relative;
    z-index: 6;
}

.location-badge {
  font-size: 1.2em;
  margin: 1.5em 0;
  max-width: 80%;
}

.location-badge span {
  color: var(--default-color-primary);
  font-weight: 600;
  text-decoration: underline;
}

.acompanhantes-search-block{
    width: 100%;
    display: flex;
    justify-content: center;
}

.acompanhantes-location-search {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    max-width: 700px;
}

.acompanhantes-location_search {
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
    width: 100%;
    height: calc(7dvh - (2 * 0.8em));
    font-size: 1em;
    padding: 0.8em 1em;
    border: none;
    border-bottom: 1px solid var(--text-color-secondary);
    outline: none;   
}




.actions-bar{

    display:flex;
    gap:12px;
    margin:20px auto;
}

.action-btn,
.sort-select{

    height:45px;

    border:none;

    border-radius:12px;

    padding:0 16px;

    background:#1b1b1b;

    color:white;

    font-size:14px;
}

.sort-select{

    flex:1;
}

.modal{

    position:fixed;

    inset:0;

    background:rgba(
        0,0,0,.7
    );

    display:none;

    justify-content:center;

    align-items:flex-end;

    z-index:9999;
}

.modal.active{

    display:flex;
}

.modal-content{

    width:100%;
    overflow-y:auto;
    max-width:500px;

    background:#111;

    border-radius:
        25px 25px 0 0;

    padding:25px;

    color:white;

    animation:
        slideUp .25s ease;
}

.modal-header{

    display:flex;

    justify-content:
    space-between;

    margin-bottom:20px;
}

.modal-header button{

    background:none;

    border:none;

    color:white;

    font-size:22px;
}

.filter-group{

    display:flex;

    flex-direction:column;

    margin-bottom:15px;

    gap:8px;
}

.filter-group select{

    height:45px;

    border-radius:12px;

    border:none;

    padding:10px;

    background:#1c1c1c;

    color:white;
}

.checkbox-group{

    display:flex;

    flex-direction:column;

    gap:10px;

    margin:20px 0;
}

.filter-buttons{
    display:flex;
    flex-direction:column;
    gap:12px;
}

#applyFilters, 
#clearFilters {
    width:100%;
    height:50px;
    border:none;
    border-radius:12px;
    font-weight:700;
}

#applyFilters{
    background:var(--default-color-primary);
    color: var(--text-color-primary);
}

#clearFilters{
    background:var(--default-color-secondary);
    color: var(--text-color-primary);
}

@keyframes slideUp{

    from{

        transform:
        translateY(100%);
    }

    to{

        transform:
        translateY(0);
    }

}





.models-grid {
    display: grid;
    width: 90%;
    gap: 1.5em;
    padding-bottom: 2em;
    justify-items: center;
    grid-template-columns: repeat(auto-fit, minmax(90%, 1fr));
}

@media (min-width: 1200px) {
    .models-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

.model-card-container {
    width: 100%;
    background: var(--bg-color-tertiary);
    border-radius: 1em;
    overflow: hidden;
    cursor: pointer;
    text-decoration: none; /* Garante que links não fiquem sublinhados */
    display: block;
    transition: transform 0.2s ease, border-color 0.2s ease;
}

.model-card-container:hover {
    transform: translateY(-4px);
}

.model-card-column {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.model-card-image {
    width: 100%;
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center;
}

.model-name-user {
    display: flex;
    flex-direction: column;
    padding: 1em;
    gap: 0.25em;
}

.model-nome {
    font-size: 1.3em;
    font-weight: 600;
    color: var(--text-color-primary);
}

.model-verified {
    display: flex;
    align-items: center;
    gap: .4em;
    color: #2ecc71;
    font-size: .8em;
    font-weight: 600;
}

.model-card-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    border-top: 1px solid rgba(255, 255, 255, 0.05); /* Divisória sutil interna */
}

.model-card-info-column,
.model-card-info-description {
    width: 50%;
    padding: 1em;
}

.model-card-info-column {
    display: flex;
    flex-direction: column;
    gap: 0.75em;
}

.model-card-values {
    display: flex;
    flex-direction: column;
    gap: 0.25em;
}

.model-valor-text {
    font-size: 0.75rem;
    color: var(--text-color-secondary);
}

.model-valor {
    font-size: 0.8em;
    font-weight: 600;
    color: var(--text-color-primary);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.model-card-info-sep {
    background: var(--text-color-secondary);
    height: 25px; /* Altura controlada para o traço vertical */
    min-width: 1px;
    width: 1px;
    opacity: 0.3;
}

.model-card-info-description {
    align-self: flex-start;
}

.model-card-info-description p {
    line-height: 1rem;
    font-size: 0.75rem;
    color: var(--text-color-secondary);
}

.model-card-info-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.45em;
}

.model-card-info-row span {
    color: var(--text-color-secondary);
    font-size: 0.75rem;
}




.model-carousel{
    position:relative;
    width:100%;
    overflow:hidden;
    aspect-ratio:1/1;
}

.carousel-track{
    display:flex;
    height:100%;
    width:100%;

    transition: transform .4s ease;

    touch-action: pan-y;
    user-select:none;
    -webkit-user-select:none;
}

.carousel-btn.hidden{
    opacity:0;
    pointer-events:none;
}

.carousel-slide{
    min-width:100%;
    width:100%;
    flex:0 0 100%;
    aspect-ratio:1/1;
    object-fit:cover;
}

.carousel-btn{

    position:absolute;

    top:50%;

    transform:
    translateY(-50%);

    width:35px;
    height:35px;

    border:none;

    border-radius:50%;

    background:
    rgba(0,0,0,.5);

    color:white;

    z-index:2;

    cursor:pointer;
}

.carousel-btn.prev{
    left:10px;
}

.carousel-btn.next{
    right:10px;
}

.carousel-btn:hover{
    background:
    rgba(0,0,0,.8);
}

.carousel-track{

    display:flex;
    height:100%;
    width:100%;

    transition:
    transform .4s ease;
}

.carousel-slide{

    min-width:100%;
    flex:0 0 100%;
    height:100%;
}

.carousel-slide img{

    width:100%;
    height:100%;

    object-fit:cover;

    display:block;
}

.carousel-dots{

    position:absolute;

    left:50%;
    bottom:10px;

    transform:
    translateX(-50%);

    display:flex;

    gap:8px;

    z-index:3;
}

.carousel-dot{

    width:9px;
    height:9px;

    border-radius:50%;

    background:
    rgba(255,255,255,.4);

    transition:.3s;

    cursor:pointer;
}

.carousel-dot.active{

    background:white;

    transform:
    scale(1.3);
}






.carousel-slide{
    position:relative;
}

.blur-overlay{

    position:absolute;

    inset:0;

    display:flex;

    flex-direction:column;

    justify-content:center;

    align-items:center;

    gap:1em;

    background:
    rgba(0,0,0,.35);

    color:white;

    z-index:3;
}

.unlock-media{

    border:none;

    padding:.8em 1.5em;

    border-radius:1em;

    background:
    var(--default-color-primary);

    color:white;

    cursor:pointer;

    font-weight:600;
}




#servicesOnCity,
#nearbyCities{
    margin: 2em 0em;
    width: 90%;
}

.nearby-title{
    font-size:22px;
    font-weight:700;
    margin-bottom:15px;
}

.nearby-links{
    display:flex;
    gap:10px;
    flex-wrap:wrap;
}

.nearby-city-link{
    padding:10px 15px;
    border-radius:999px;
    background:var(--bg-color-tertiary);
    text-decoration:none;
    color:var(--text-color-primary);
    transition:.2s;
}

.nearby-city-link:hover{
    transform:translateY(-2px);
}



.breadcrumb{
    display:flex;
    align-items:center;
    gap:10px;
    margin: 1em 0;
    padding: 1.25em 0;
    font-size:14px;
    border-width: 1px 0;
    border-style: solid;
    border-color: var(--text-color-secondary);
    width: 90%;
    overflow-x: auto;
}

.breadcrumb a{
    color:var(--text-color-secondary);
    white-space: nowrap;
    text-decoration:none;
}

.breadcrumb a:hover{
    text-decoration:underline;
}

.breadcrumb-current{
    color:var(--text-color-primary);
    font-weight:600;
}

/* ============================================== */
/* PÁGINA MODELO */
/* ============================================== */

.background-img {
    width:100%;
    max-height: 300px;
    aspect-ratio: 21/9;
    object-fit:cover;
    object-position:center;
    display:block;
}

.profile-row h1 {
    font-size: 2em;
}

.profile-row{
    position:relative;
    width:95%;
    margin-bottom: 1em;
    display:grid;
    gap:1em;
    z-index:2;
    grid-template-columns:
        min(25vw, 175px) auto;
    grid-template-areas:
        "foto info"
        "botoes botoes";
    align-items:center;
}

@media(min-width:700px){

    .profile-row{
        max-width: 1000px;
        grid-template-columns:
            min(25vw, 175px)
            calc(50% - min(25vw, 175px))
            50%;

        grid-template-areas:
            "foto-space info botoes";
    }

}

.profile-img{
    grid-area: foto;
    width: 25vw;
    max-width: 175px;
    aspect-ratio: 1/1;
    border-radius: 50%;
    object-fit: cover;
    background:
    linear-gradient(
        45deg,
        var(--default-color-secondary),
        var(--default-color-primary)
    );
    padding: 0.2em;
    position: absolute;
    top: -25%;
    left: 0;
}

.profile-info{
    grid-area: info;
    padding-top: 0.5em;
}

.profile-buttons {
    grid-area: botoes;
    width: 100%;
    gap: 0.5em;
}

.profile-buttons a {
    width: 100%;
}

.profile-buttons button:hover {
    transform: translateY(-2px);
}

.profile-buttons button:active {
    transform: translateY(0);
}

#whatsapp-btn {
    width: 100%;
    background: #25d366;
    color: white;
    border: none;
    border-radius: 0.5em;
    box-shadow:
        0 4px 20px rgba(37, 211, 102, 0.25);
}

#whatsapp-btn:hover {
    box-shadow:
        0 8px 25px rgba(37, 211, 102, 0.35);
}

#share-btn {
    width: 100%;
    background: rgba(255,255,255,0.08);
    border: 1px solid rgba(255,255,255,0.15);
    color: white;
    backdrop-filter: blur(10px);
    border-radius: 0.5em;
}

#share-btn:hover {
    background: rgba(255,255,255,0.12);
    border-color: rgba(255,255,255,0.25);
}

.profile-buttons i {
    font-size: 1.15rem;
}

.profile-buttons button {
    grid-area: botoes;
    width: 100%;
    height: 48px;
}

@media (max-width: 768px) {

    .profile-buttons {
        max-width: 100%;
    }

    .profile-buttons button {
        height: 48px;
        font-size: 0.95rem;
    }

}

.profile-divider {
    width: 90%;
    height: 1px;
    margin-bottom: 1em;
    background-color: var(--text-color-secondary);
}

/* ============================================== */
/* PÁGINA POSTAGEM */
/* ============================================== */

.post-section {
    padding: 2em 0;
}

.tab {
    display:none;
    gap:1.5em;
}

.tab.active {
    display:flex;
}

.upload-box {
    min-width: 300px;
    min-height: 300px;
    width: auto;
    height: auto;
    border:2px dashed var(--text-color-secondary);
    border-radius:12px;
    display:flex;
    align-items:center;
    justify-content:center;
    position:relative;
    background:var(--bg-color-secondary);
    overflow:hidden;
    flex-direction:column;
}

.upload-box span {
    width:50%;
    text-align:center;
    color:var(--text-color-secondary);
}

#previewContainer{
    width:100%;
    display:flex;
    justify-content:center;
    align-items:center;
}

#previewContainer img,
#previewContainer video{

    max-width:100%;
    max-height:70dvh;

    width:auto;
    height:auto;

    display:block;

    border-radius:12px;

    object-fit:contain;
}

#postPreview{
    width:80%;
    max-width:400px;
    display:flex;
    justify-content:center;
    align-items:center;
    overflow:hidden;
    border-radius:12px;
    background:var(--bg-color-secondary);
}

#postPreview img,
#postPreview video{
    width:100%;
    height:auto;
    max-height:70dvh;
    object-fit:contain;
    border-radius:12px;
}

textarea{
    width: 80%;
    max-width: 600px;
    height: 10em;
    background-color: var(--bg-color-tertiary);
    border: 1px dashed var(--text-color-primary);
    color: var(--text-color-primary);
    padding: 1em;
}

/* ============================================== */
/* PÁGINA EDIÇÃO DE PERFIL */
/* ============================================== */

.model-edit-section {
    width: 100%;
    padding: 2em 0;
    gap: 1em;
}

.model-edit-section input[type="text"] {
    width: 100%;
    max-width: 400px;
}

.model-edit-section input[type="number"] {
    width: 50%;
    max-width: 350px;
}

.model-edit-section input[type="time"] {
    width: auto;
    text-align: center;
    max-width: 350px;
    
}

.model-edit-pay-types li {
    align-items: center;
}

.model-edit-pay-types i {
    font-size: 1.5em;
    color: var(--default-color-primary);
}

/* ============================================== */
/* PÁGINA DE PERFIL */
/* ============================================== */

.full-edit-mode .perfil-header,
.full-edit-mode [data-tab],
.full-edit-mode .tabs-container {
  display: none !important;
}

.perfil-header,
.perfil-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding-top: 1em;
    gap: 2em;
}

#perfil-foto {
    width: 40%;
    max-width: 300px;
    aspect-ratio: 1/1;
    border-radius: 50%;
    object-fit: cover;
    padding: 4px;
    background: linear-gradient(45deg, var(--default-color-secondary), var(--default-color-primary));
}

.perfil-textos {
    display: flex;
    flex-direction: column;
    align-items: center;   
}

.perfil-botoes {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 0.5em;
}

.perfil-botoes button {
    width: 80%;
    max-width: 300px;
    background-color: var(--bg-color-primary);
    color: var(--text-color-primary);
    font-weight: 600;
    border: solid 2px var(--default-color-primary);
    border-radius: 1em;
    height: 3em;
    font-size: 1em;
}





.grid-posts {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 5px;
  width: 100%;
  max-width: 600px;
}

.post-card {
  width: 100%;
  aspect-ratio: 9/16;
  overflow: hidden;
  background: #111;
  cursor: pointer;
}

.post-card img,
.post-card video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}









.full-post-mode .perfil-header {
  display: none;
}

.tab-section {
    position: relative;
    width: 100%;
    padding-top: 0.5em;
}

.tab-section-div {
    width: 90%;
    align-self: center;
}

.btn-voltar {
    position: sticky;
    margin-bottom: 0.5em;
    width: 40px;
    height: 40px;
    padding: 0;
    border-radius: 50%;
    border: none;
    background: var(--bg-color-secondary);
    color: var(--text-color-primary);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 20px;
    z-index: 20;
    margin-right: auto;
}



.viewer-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.4);
  z-index: 50;
}

.viewer-modal {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 60;
}

.viewer-content {
  position: relative;
  background: #111;
  padding: 20px;
  max-width: 800px;
  width: 90%;
  border-radius: 10px;
}

.viewer-content video,
.viewer-content img {
  width: 100%;
  border-radius: 8px;
}

.viewer-close {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 22px;
  background: none;
  border: none;
  color: white;
  cursor: pointer;
}

.viewer-prev,
.viewer-next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: rgba(0,0,0,0.6);
  border: none;
  color: white;
  font-size: 20px;
  padding: 10px;
  cursor: pointer;
}

.viewer-prev { left: -50px; }
.viewer-next { right: -50px; }



.premium-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.75);
  backdrop-filter: blur(6px);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.premium-box {
  width: 400px;
  max-width: 90%;
  background: #111;
  border-radius: 12px;
  padding: 25px;
  color: white;
  position: relative;
  animation: fadeIn 0.2s ease;
}

.premium-header {
  display: flex;
  align-items: center;
  gap: 10px;
}

.premium-icon {
  color: #1da1f2;
  font-size: 24px;
}

.premium-content ul {
  margin: 15px 0;
  padding-left: 20px;
}

.premium-btn {
  width: 100%;
  padding: 12px;
  border: none;
  border-radius: 8px;
  background: #1da1f2;
  color: white;
  font-weight: bold;
  cursor: pointer;
  font-size: 16px;
}

.premium-btn:hover {
  opacity: 0.9;
}

.premium-close {
  position: absolute;
  right: 15px;
  top: 15px;
  background: none;
  border: none;
  color: white;
  font-size: 18px;
  cursor: pointer;
}

@keyframes fadeIn {
  from { opacity: 0; transform: scale(0.95); }
  to { opacity: 1; transform: scale(1); }
}

/* ============================================== */
/* PÁGINA DE PAINEL */
/* ============================================== */

#panel-actions{
    width:100%;
    display:flex;
    flex-direction:column;
    align-items:center;
}

.panel-section {
    width: 100%;
    padding: 2em 0;
}

.panel-box {
    width: 80%;
    max-width: 600px;
    border-radius: 18px;
    padding: 18px;
    background: var(--bg-color-secondary);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
}

#ranking-box,
#verification-box,
#edit-model-box {
    border: 1px solid var(--default-color-secondary);
}

#indicate-dojob-box,
#location-model-box {
    border: 1px solid var(--default-color-primary);
}

#location-model-box .location-select {
    margin-bottom: 1em;
}

.panel-box-content h2 {
    color: var(--text-color-primary);
    align-self: center;
    font-size: 18px;
    margin-bottom: 6px;
}

.panel-box-content p {
    color: var(--text-color-secondary);
    font-size: 14px;
    line-height: 1.4;
}

.panel-btn {
    border: none;
    border-radius: 12px;
    padding: 12px 16px;
    cursor: pointer;
    font-weight: 600;
    flex-shrink: 0;
    color: var(--text-color-primary);
}

#verification-box .panel-btn,
#edit-model-box .panel-btn {
    background: var(--default-color-secondary);
}

#indicate-dojob-box .panel-btn,
#location-model-box .panel-btn {
    background: var(--default-color-primary);
}

.panel-btn:hover {
    opacity: 0.9;
}

.hidden {
    display: none !important;
}

.indicate-link-wrapper{

    display:flex;
    align-items:center;
    gap:.5rem;

    width:100%;
}

.indicate-link-input{
    height: calc(48px - 0.9rem) !important;
    margin:0;
    flex:1;
    background:#111;
    border:1px solid #333;
    color:#fff;
    padding:.9rem 1rem;
    border-radius:12px;
    font-size:.95rem;
}

.indicate-copy-btn{
    width:48px;
    height:48px;
    border:none;
    border-radius:12px;
    background:#222;
    color:#fff;
    cursor:pointer;
    flex-shrink:0;
    transition:.2s;
}

.indicate-copy-btn:hover{

    background:#333;
}






.subscription-wrapper{
    width:100%;
    max-width:1200px;

    display:flex;
    flex-direction:column;
    gap:1rem;

    align-items:center;
}

.subscription-header{
    width: calc(90% - 38px);

    background:var(--bg-color-secondary);

    border:1px solid var(--default-color-primary);

    border-radius:18px;

    padding:18px;

    display:flex;
    flex-direction:column;
    align-items: center;
    gap:.5rem;
}

.subscription-header h2{
    color:var(--text-color-primary);
    margin:0;
}

.subscription-header p{
    margin:0;
}

.subscription-highlight{
    color:var(--default-color-primary) !important;
    font-weight:600;
}




.subscription-carousel{
    width:100%;

    display:flex;
    gap:1rem;

    overflow-x:auto;
    scroll-snap-type:x mandatory;

    scrollbar-width:none;
}

.subscription-carousel::-webkit-scrollbar{
    display:none;
}

.subscription-carousel::before,
.subscription-carousel::after{
    content:"";
    flex: 0 0 7.5%;
}





.subscription-card{
    min-width:280px;
    flex-shrink:0;
    scroll-snap-align:center;
    background:#111;
    border:1px solid var(--default-color-secondary);
    border-radius:18px;
    padding:1.5rem;
    display:flex;
    flex-direction:column;
    gap:1rem;
}

.subscription-card.featured{
    border:3px solid var(--default-color-primary);
}



.subscription-plan{
    font-size:1.3rem;
    font-weight:700;
}

.subscription-price{

    font-size:2.5rem;

    font-weight:700;
}

.subscription-period{

    color:#999;
}

.subscription-discount{

    color:#00d26a;

    font-weight:600;
}

.subscription-benefits{

    display:flex;

    flex-direction:column;

    gap:.6rem;

    padding-left:1rem;
}

.subscription-benefits li{

    color:#ddd;
}

.subscription-btn{

    margin-top:auto;

    background:var(--default-color-primary);

    border:none;

    border-radius:12px;

    padding:1rem;

    color:white;

    font-weight:700;

    cursor:pointer;
}

.subscription-badge{

    align-self:flex-start;

    background:var(--default-color-primary);

    color:white;

    padding:.3rem .8rem;

    border-radius:999px;

    font-size:.75rem;

    font-weight:700;
}

.subscription-badge.gold{

    background:#ffb300;
}



/* DESKTOP */
@media (min-width: 900px){

    .subscription-carousel{
        
        justify-content:center;
        align-items:stretch;

        overflow:visible;

        scroll-snap-type:none;

        flex-wrap:wrap;

    }

    .subscription-carousel::before,
    .subscription-carousel::after{
        content:none;
        display:none;
    }

    .subscription-card{

        width:320px;
        min-width:320px;
    }

    .subscription-card.featured{

        transform:scale(1.05);
    }
}


.premium-overlay {
    position: fixed;
    inset: 0;
    width: 100vw;
    height: 100dvh;

    background: rgba(0,0,0,.75);
    backdrop-filter: blur(8px);

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 999999;
}

.premium-modal {

    width: 100vw;
    max-width: 1300px;

    max-height: 95dvh;

    background: var(--bg-color-primary);

    border-radius: 20px;

    position: relative;
}

.premium-close {

    position: absolute;

    right: 20px;
    top: 20px;

    width: 40px;
    height: 40px;

    border: none;

    border-radius: 50%;

    background: #222;

    color: white;

    cursor: pointer;

    z-index: 10;
}








.galeria-modelo-grid {
    max-width: 900px;
    list-style: none;
    padding: 0;
    margin: 0;
}

.galeria-item {
    position: relative;
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    cursor: pointer;
}

.galeria-item img,
.galeria-item video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.galeria-play {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    font-size: 2rem;
    pointer-events: none;
}





.pagamentos-grid {
    width: 100%;
}

.pagamentos-grid li {
    display: flex;
    align-items: center;
    gap: .75em;

    padding: 1em;
    border-radius: 10px;

    background: rgba(255,255,255,.05);
}

.pagamentos-grid i {
    font-size: 1.5rem;
}

.servico {
    color: var(--text-color-primary);
}

.faz,
.recebe {
    color: var(--text-color-primary);
    font-weight: 600;
    padding: 0.2em 0.6em;
    border-radius: 12px;
    font-size: 0.8em;
    width: fit-content;
}

.faz {
    background: var(--default-color-primary);
}

.recebe {
    background: var(--default-color-secondary);
}

.video-verificacao-container {
  width: 100%;
  max-width: 400px;
  aspect-ratio: 4 / 5;
  overflow: hidden;
  border-radius: 12px;
  background: var(--bg-color-secondary);
}

.video-verificacao-container video {
  width: 100%;
  object-fit: cover;
}


















.related-wrapper{
    display:inline-flex;
    gap:1.5rem;
    overflow-x:auto;
    overflow-y:hidden;
    scroll-behavior:smooth;
    -webkit-overflow-scrolling:touch;
    padding: 0 5% 1em 5%;
}
/* Força os cards dentro do slider a manterem um tamanho fixo sem esmagar */
.related-wrapper .related-card-item {
    flex: 0 0 280px;          /* Largura ideal para o card no modo carrossel */
    width: 280px;
}

/* DESIGN DO SCROLLBAR BONITINHO */
.related-wrapper::-webkit-scrollbar {
    height: 6px;              /* Altura fina e elegante */
}

.related-wrapper::-webkit-scrollbar-track {
    background: #0a0a0a;      /* Fundo da barra de rolagem */
    border-radius: 10px;
}

.related-wrapper::-webkit-scrollbar-thumb {
    background: #252525;      /* Cor da barra em si */
    border-radius: 10px;
    transition: background 0.2s ease;
}

.related-wrapper::-webkit-scrollbar-thumb:hover {
    background: #3a3a3a;      /* Cor de destaque quando passa o mouse */
}